# Configuration

constructor(declaringClass: Class < T >, memberInstance: T ? = null, processorResolver: MemberProcessor.Resolver ? = null, superclass: Boolean = false, optional: MemberCondition.Configuration.Optional = Optional.NO)

#### Parameters

declaringClass

the class that declares the member.

memberInstance

the instance of the resolved member, default is null.

processorResolver

the resolver for processing members, if set, it will be used to resolve members instead of the default resolver. If you want to change the global processor resolver, you can set it using MemberProcessor.globalResolver.

superclass

the superclass mode, which means that when the condition cannot find the corresponding member, it will search the declaringClass's superclass, default is false.

optional

the optional mode, which means that when the condition cannot find the corresponding member, do not throw an exception or do not print any logs, but return an empty list, default is Optional.NO.